Creates a new agent definition with a scoped API key. The agent can then be used to create and execute runs.
curl --request POST \
--url https://api.case.dev/agent/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"description": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"vaultGroups": [
"<string>"
],
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {
"cpu": 123,
"memoryMiB": 123
}
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API key starting with sk_case_
Display name for the agent
System instructions that define agent behavior
Optional description of the agent
LLM model identifier (e.g. anthropic/claude-sonnet-4.6). Defaults to anthropic/claude-sonnet-4.6
Restrict agent to specific vault IDs
Restrict agent to vaults within specific vault group IDs
Allowlist of tools the agent can use. Mutually exclusive with disabledTools — set one or the other, not both.
Denylist of tools the agent cannot use. Mutually exclusive with enabledTools — set one or the other, not both.
Custom sandbox configuration (cpu, memoryMiB)
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.case.dev/agent/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"description": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"vaultGroups": [
"<string>"
],
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {
"cpu": 123,
"memoryMiB": 123
}
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}